<?php

namespace CRM\Controller;

use Zeedhi\Framework\DTO\Request;
use CRM\Traits\TResponse;
use CRM\Service\CrmCargoInterlocService;

class CrmCargoInterlocController
{
    protected $CargoInterlocService;

    use TResponse;

    public function __construct(CrmCargoInterlocService $CargoInterlocService)
    {
        $this->CargoInterlocService = $CargoInterlocService;
    }

    public function getPositionInterlocutor()
    {
        try {
            $data = $this->CargoInterlocService->getPositionInterlocutorService();
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }

    public function savePositionInterlocutor(Request $request)
    {
        try {
            $rows = $request->getParameters();
            $this->CargoInterlocService->savePositionInterlocutorService($rows);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }

    public function deletePositionInterlocutor(Request $request)
    {
        try {
            $rows = $request->getParameters();
            $this->CargoInterlocService->deletePositionInterlocutorService($rows);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }
}
