<?php

namespace CRM\Controller;

use CRM\Traits\TResponse;
use CRM\Service\EnderecoService;
use Zeedhi\Framework\DTO\Request;

class EnderecoController
{
    protected $EnderecoService;

    use TResponse;

    public function __construct(EnderecoService $EnderecoService)
    {
        $this->EnderecoService = $EnderecoService;
    }

    public function getCountry()
    {
        try {
            $data = $this->EnderecoService->getCountry();
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }

    public function getState(Request $request)
    {
        try {
            $data = $this->EnderecoService->getState($request->getParameters());
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }

    public function getMunicipality(Request $request)
    {
        try {
            $data = $this->EnderecoService->getMunicipality($request->getParameters());
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }

    public function getNeighborhood(Request $request)
    {
        try {
            $data = $this->EnderecoService->getNeighborhood($request->getParameters());
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }

    public function findCodeDistrict(Request $request)
    {
        try {
            $data = $this->EnderecoService->findCodeDistrict($request->getParameters());
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }
}
