<?php

namespace CRM\Service;

use CRM\Factory\CrmModoReceberInfoFactory;
use Teknisa\Libs\Util\Environment;
use Teknisa\Libs\Util\NewCode;
use Doctrine\ORM\EntityManager;

class CrmModoReceberInfoService
{

    protected $CrmModoReceberInfoFactory;
    protected $Environment;
    protected $newCode;
    protected $connection;

    public function __construct(Environment $Environment, NewCode $newCode, EntityManager $entityManager, CrmModoReceberInfoFactory $CrmModoReceberInfoFactory)
    {
        $this->CrmModoReceberInfoFactory           = $CrmModoReceberInfoFactory;
        $this->Environment                         = $Environment;
        $this->newCode                             = $newCode;
        $this->connection                          = $entityManager->getConnection();
    }

    public function getReceiveInfoService()
    {
        return $this->CrmModoReceberInfoFactory->getReceiveInfoFactory();
    }

    public function saveReceiveInfoService($rows)
    {
        $this->connection->beginTransaction();
        $nrorg = $this->Environment->getNrorg();
        $operador = $this->Environment->getCdOperador();
        try {
            foreach ($rows["DRG"] as $row) {

                if ($row["NRMODORECEBINFO"] == 0) {

                    $nrmodorecebinfo = $this->newCode->getCodeByTableName("CRM_MODORECEBINFO", $nrorg, 1, 10, true);

                    $params = array(
                        "NRMODORECEBINFO" => $nrmodorecebinfo,
                        "NMMODORECEBINFO" => $row['NMMODORECEBINFO'],
                        "IDATIVO"         => $row['IDATIVO'],
                        "NRORG"           => $nrorg,
                        "NRORGINCLUSAO"   => $nrorg,
                        "NRORGULTATU"     => $nrorg,
                        "CDOPERINCLUSAO"  => $operador,
                        "CDOPERULTATU"    => $operador,
                    );

                    $this->CrmModoReceberInfoFactory->saveReceiveInfoFactory($params);
                } else {

                    $params = array(
                        "NRMODORECEBINFO" => $row["NRMODORECEBINFO"],
                        "NMMODORECEBINFO" => $row['NMMODORECEBINFO'],
                        "IDATIVO"         => $row['IDATIVO'],
                        "NRORG"           => $nrorg,
                        "NRORGINCLUSAO"   => $nrorg,
                        "NRORGULTATU"     => $nrorg,
                        "CDOPERINCLUSAO"  => $operador,
                        "CDOPERULTATU"    => $operador,
                    );

                    $this->CrmModoReceberInfoFactory->updateReceiveInfoFactory($params);
                }
            }
            $this->connection->commit();
        } catch (\Exception $e) {
            $this->connection->rollback();
            throw $e;
        }
    }

    public function deleteReceiveInfoService($rows)
    {
        $this->connection->beginTransaction();
        try {
            $params = implode(',', $rows["NRMODORECEBINFO"]);
            $this->CrmModoReceberInfoFactory->deleteReceiveInfoFactory($params);
            $this->connection->commit();
        } catch (\Exception $e) {
            $this->connection->rollback();
            throw $e;
        }
    }
}
